<script setup>
import {ref} from "vue";
import PersonTable from "@/components/PersonTable.vue";

const showTable = ref(true)

const persons = ref([
  {
    firstName: 'Max',
    lastName: 'Muster',
    birthYear: 1990
  },
  {
    firstName: 'Maria',
    lastName: 'Huber',
    birthYear: 1980
  },
  {
    firstName: 'Fritz',
    lastName: 'Box',
    birthYear: 1970
  },
  {
    firstName: 'Herbert',
    lastName: 'Trinkdas',
    birthYear: 1960
  }
])

function changeBirthYear(newBirthYear, personIndex) {
  persons.value[personIndex].birthYear = newBirthYear
}
</script>

<template>
  <button>Toggle Table</button>

  <person-table :persons="persons" @change-birth-year-of-person="changeBirthYear"/>
</template>
